package com.baoshi.swms.net.inter;

/**
 * API响应回调接口
 *
 * @author Zhendong Zhou
 * @date   2021/12/3 15:47
 */
public interface APICallback<T> {
    void logout();

    void onSuccess(T result);

    void onFault(int code, String errorMsg);

    void onFinally();
}
